<?php

/**
  * News class, News.php
  * News management
  * @category classes
  *
  * @author PrestaShop <support@prestashop.com>
  * @copyright PrestaShop
  * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
  * @version 1.2
  *
  */
require_once "config.php";
class News extends ObjectModel
{
	public $news_subject;
	public $news_news;
	public $news_extended;
	public $news_datestamp;
	public $news_cat_name;
/*
 	protected $fieldsRequiredLang = array('meta_title', 'link_rewrite');
	protected $fieldsSizeLang = array('meta_description' => 255, 'meta_keywords' => 255, 'meta_title' => 128, 'link_rewrite' => 128, 'content' => 65536);
	protected $fieldsValidateLang = array('meta_description' => 'isGenericName', 'meta_keywords' => 'isGenericName', 'meta_title' => 'isGenericName', 'link_rewrite' => 'isLinkRewrite', 'content' => 'isCleanHTML');
*/
	protected $table = 'news';
	protected $identifier = 'news_id';
	
	public function getFields() { return array('news_id' => null); }
	
	public function getTranslationsFieldsChild()
	{
		parent::validateFieldsLang();

		$fieldsArray = array('meta_title', 'meta_description', 'meta_keywords', 'link_rewrite');
		$fields = array();
		$languages = Language::getLanguages();
		$defaultLanguage = Configuration::get('PS_LANG_DEFAULT');
		foreach ($languages as $language)
		{
			$fields[$language['id_lang']]['id_lang'] = $language['id_lang'];
			$fields[$language['id_lang']][$this->identifier] = intval($this->id);
			$fields[$language['id_lang']]['content'] = (isset($this->content[$language['id_lang']])) ? Tools::htmlentitiesDecodeUTF8(pSQL($this->content[$language['id_lang']], true)) : '';
			foreach ($fieldsArray as $field)
			{
				if (!Validate::isTableOrIdentifier($field))
					die(Tools::displayError());
				if (isset($this->{$field}[$language['id_lang']]) AND !empty($this->{$field}[$language['id_lang']]))
					$fields[$language['id_lang']][$field] = pSQL($this->{$field}[$language['id_lang']]);
				elseif (in_array($field, $this->fieldsRequiredLang))
					$fields[$language['id_lang']][$field] = pSQL($this->{$field}[$defaultLanguage]);
				else
					$fields[$language['id_lang']][$field] = '';
			}
		}
		return $fields;
	}
	
	
	public static function getLinks()
	{
		$result = Db::getInstance()->ExecuteS(
		"SELECT news_id, news_subject FROM ".DB_PREFIX."news WHERE news_draft='0' ORDER BY news_datestamp DESC LIMIT 0,5"
	);
		
		$links = array();
		if ($result)
			foreach ($result as $row)
			{
				$row['link'] = _PS_BASE_URL_.__PS_BASE_URI__.'news.php?news_id='.intval($news->id);
				$links[] = $row;
			}
		return $links;
	}
	
	public static function listNews($id_lang = _PS_LANG_DEFAULT_, $id_block = false)
	{
		$result = Db::getInstance()->ExecuteS(
		"SELECT ta.news_id, ta.news_subject, tac.news_cat_id, tac.news_cat_access FROM ".DB_PREFIX."news ta
		INNER JOIN ".DB_PREFIX."news_cats tac ON ta.news_cat=tac.news_cat_id WHERE news_draft='0' ORDER BY news_datestamp DESC LIMIT 0,5"
		);
		return $result;
	}
	
	public function getNewsLink($news, $alias = null)
	{
		if (is_object($cms))
			return ($this->allow == 1) ? (_PS_BASE_URL_.__PS_BASE_URI__.'content/'.intval($cms->id).'-'.$cms->link_rewrite) : 
			(_PS_BASE_URL_.__PS_BASE_URI__.'news.php?news_id='.intval($news->id));
		if ($alias)
			return ($this->allow == 1) ? (_PS_BASE_URL_.__PS_BASE_URI__.'content/'.intval($news).'-'.$alias) :
			(_PS_BASE_URL_.__PS_BASE_URI__.'cms.php?news_id='.intval($news));
		return _PS_BASE_URL_.__PS_BASE_URI__.'cms.php?news_id='.intval($news);
	}

	public static function isInBlock($id_news, $id_block)
	{
		Db::getInstance()->Execute('
		SELECT id_news FROM '._DB_PREFIX_.'block_news
		WHERE  id_block = '.intval($id_block).' AND id_news='.intval($id_news));
		return (Db::getInstance()->NumRows());
	}
		
	public static function updateCmsToBlock($news, $id_block)
	{
		Db::getInstance()->Execute('DELETE FROM `'._DB_PREFIX_.'block_news`
    															WHERE `id_block` ='.intval($id_block));
		foreach ($news AS $id_news)
			Db::getInstance()->Execute('INSERT INTO '._DB_PREFIX_.'block_news (id_block, id_news) VALUES
																('.intval($id_block).', '.intval($id_news).')');
			return true;
	}
	
}

?>
