<?php

class blocklatestnews extends Module
{
    private $_html = '';
    private $_postErrors = array();

    function __construct()
    {
        $this->name = 'blocklatestnews';
        $this->tab = 'Blocks';
        $this->version = 0.1;

        parent::__construct();

        $this->displayName = $this->l('Latest news block');
        $this->description = $this->l('Displays a block featuring latest news');
    }

    function install()
    {
        if (parent::install() == false 
				OR $this->registerHook('rightColumn') == false
				OR Configuration::updateValue('NEWS_NBR', 5) == false)
			return false;
		return true;
    }

	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitblocklatestnews'))
		{
			if (!$newsNbr = Tools::getValue('newsNbr') OR empty($newsNbr))
				$output .= '<div class="alert error">'.$this->l('You should fill the "news displayed" field').'</div>';
			elseif (intval($newsNbr) == 0)
				$output .= '<div class="alert error">'.$this->l('Invalid number.').'</div>';
			else
			{
				Configuration::updateValue('NEWS_NBR', intval($newsNbr));
				$output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />'.$this->l('Settings updated').'</div>';
			}
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
				<label>'.$this->l('Products displayed').'</label>
				<div class="margin-form">
					<input type="text" name="newsNbr" value="'.intval(Configuration::get('NEWS_NBR')).'" />
					<p class="clear">'.$this->l('Set the number of newss to be displayed in this block').'</p>
				</div>
				<center><input type="submit" name="submitblocklatestnews" value="'.$this->l('Save').'" class="button" /></center>
			</fieldset>
		</form>';
		return $output;
	}

    function hookRightColumn($params)
    {
		global $smarty;
		$latestNews = News::getLinks();
		$new_newss = array();
		//echo 
		if ($latestNews)
			foreach ($latestNews AS $new_news)
				$new_newss[] = $new_news;

		$smarty->assign(array(
			'new_newss' => $new_newss,
			'mediumSize' => Image::getSize('medium')));
		return $this->display(__FILE__, 'blocklatestnews.tpl');
	}
	
	function hookLeftColumn($params)
	{
		return $this->hookRightColumn($params);
	}
}


?>
